#!/bin/sh

rm_fs() {
    res=`ubinfo /dev/ubi0 -N $1 2>&1`
    id=`expr "$res" : 'Volume ID: \+\([0-9]\+\).*'`
    if [ "x$id" != "x" ]; then
	ubirmvol /dev/ubi0 -N $1
    fi
}

rm_fs "endfs"
rm_fs "startfs"
ubimkvol -N startfs -t static -s 1024 /dev/ubi0
